Tap Global Group Plc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/tap-global-group-plc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/tap-global-group-plc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1748563200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://polaris.brighterir.com/public/tap_global/news/rns/story/w1v9j3w",
    "holding_balance": 5.0,
    "holding_net_change": 5.0,
    "transaction_value_usd": 519990.9,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/tap-global-group-plc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    5.0
  ],
  [
    1789257600000,
    5.0
  ],
  [
    1789344000000,
    5.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/tap-global-group-plc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    386144.25
  ],
  [
    1789257600000,
    386259.65
  ],
  [
    1789344000000,
    384040.8
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/tap-global-group-plc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1.225,
    "date": "2026-09-09",
    "high": 1.25,
    "open": 1.25,
    "close": 1.25,
    "volume": 10000
  },
  {
    "low": 1.2,
    "date": "2026-09-10",
    "high": 1.3,
    "open": 1.25,
    "close": 1.27,
    "volume": 403932
  },
  {
    "low": 1.175,
    "date": "2026-09-11",
    "high": 1.25,
    "open": 1.25,
    "close": 1.2,
    "volume": 1255193
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/tap-global-group-plc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/tap-global-group-plc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 9.09,
  "six_month_return": -14.29,
  "three_month_return": -11.11
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/tap-global-group-plc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 4.3,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}